Go to the first, previous, next, last section, table of contents.

### `iand`, `ior`, `ixor`

`iand(i1,i2)`
  :: bitwise and
`ior(i1,i2)`
  :: bitwise or
`ixor(i1,i2)`
  :: bitwise xor

return
  integer
i1 i2
  integer

- The absolute value of the argument is regarded as a bit string.
- The sign of the argument is ignored and a non-negative integer is returned.

    [0] ctrl("hex",1);
    0x1
    [1] iand(0xeeeeeeeeeeeeeeee,0x2984723234812312312);
    0x4622224802202202
    [2] ior(0xa0a0a0a0a0a0a0a0,0xb0c0b0b0b0b0b0b);
    0xabacabababababab
    [3] ixor(0xfffffffffff,0x234234234234);
    0x2cbdcbdcbdcb

`References`
  section `ishift`.

Go to the first, previous, next, last section, table of contents.